# Eclipse IDE Planning Council

From the [Eclipse IDE Working Group Charter](https://www.eclipse.org/org/workinggroups/eclipse-ide-charter.php):

> The Planning Council is responsible for establishing a roadmap and coordinated release plan that balances the many competing requirements.
> The release plan describes the themes and priorities that focus these releases, and orchestrates the dependencies among project plans.

## Composition

From the [Eclipse IDE Working Group Charter](https://www.eclipse.org/org/workinggroups/eclipse-ide-charter.php):
> 
> The Planning Council is composed of:
> 
> - One representative designated by the Project Management Committee (PMC) for every top-level project for which at least one subproject is a simultaneous release participant;
> - Two representatives for each Platinum Member;
> - One representative designated for each Strategic Member; and
> - Additional representatives as approved by the Steering Committee.
> 
> The Planning Council elects a chair of the Planning Council. This chair is elected among the members of the Council. They will serve for a 12 month period or until their successor is elected and qualified, or as otherwise provided for in this Charter.

The current membership of the Planning Council is listed on [the Eclipse IDE Working Group](https://eclipseide.org/working-group/planning-council/) website.

## Communication

The Eclipse Planning Council generally meets on Zoom once per month and communicates and makes decisions on the [planning council mailing list](https://accounts.eclipse.org/mailing-list/eclipse.org-planning-council). 

### Call and Meeting Schedule

Planning Council calls take place the first Wednesday of each month.
A Google [calendar](https://www.google.com/calendar/embed?src=gchs7nm4nvpm837469ddj9tjlk%40group.calendar.google.com&ctz=America/New_York) <!-- markdown-link-check-disable-line --> is used to manage call dates and times. The calendar is available in the following formats:
[iCal](https://www.google.com/calendar/ical/gchs7nm4nvpm837469ddj9tjlk%40group.calendar.google.com/public/basic.ics) <!-- markdown-link-check-disable-line -->, 
[HTML](https://www.google.com/calendar/embed?src=gchs7nm4nvpm837469ddj9tjlk%40group.calendar.google.com&amp;ctz=America/New_York) <!-- markdown-link-check-disable-line --></p>

#### Logistics

Join from PC, Mac, Linux, iOS or Android:
<https://eclipse.zoom.us/j/928841320?pwd=WG9EeVl3ZjZweWNGb1BCclVYaEhEZz09>

**Meeting ID: 928 841 320**

<details>
<summary>Other call-in options</summary>

iPhone one-tap: US: +16699006833,,928841320#  or +14086380968,,928841320#

Telephone Dial in (for higher quality, dial a number based on your current location)：
 - US: +1 669 900 6833  or +1 408 638 0968  or +1 646 876 9923 
 - Canada: +1 647 558 0588 
 - France: +33 (0) 1 8288 0188 
 - Germany: +49 (0) 30 3080 6188 
 - United Kingdom: +44 (0) 20 3695 0088 
 - Switzerland: +41 (0) 31 528 0988 
 - Sweden: +46 (0) 8 4468 2488 
 - Denmark: +45 89 88 37 88 
 - Netherlands: +31 (0) 20 241 0288
 - International numbers available: [https://eclipse.zoom.us/zoomconference?m=DufCm8dm7aEOYkLMWpY6qLgJMUtWhOnf](https://eclipse.zoom.us/zoomconference?m=DufCm8dm7aEOYkLMWpY6qLgJMUtWhOnf) 

</details>

### Meeting notes

 - [2024-04-03](Planning_Council/2024-04-03.md)
 - [2024-03-06](Planning_Council/2024-03-06.md)
 - [2024-02-07](Planning_Council/2024-02-07.md)
 - 2023-01-03 there was no meeting due to Christmas/New Year holidays
 - [2023-12-06](Planning_Council/2023-12-06.md)
 - [2023-11-01](Planning_Council/2023-11-01.md)
 - [2023-10-04](Planning_Council/2023-10-04.md)
 - [2023-09-06](Planning_Council/2023-09-06.md)
 - [2023-08-02](Planning_Council/2023-08-02.md)
 - 2023-07-05 there was no meeting due to most council members being at
Eclipse IDE WG onsite meeting
 - [2023-06-07](Planning_Council/2023-06-07.md)
 - [2023-05-03](Planning_Council/2023-05-03.md)
 - [2023-04-05](Planning_Council/2023-04-05.md)
 - [2023-03-01](Planning_Council/2023-03-01.md)
 - [2023-02-01](Planning_Council/2023-02-01.md)
 - [2022-12-07](Planning_Council/2022-12-07.md)
 - [2022-11-02](Planning_Council/2022-11-02.md)
 - [2022-10-05](Planning_Council/2022-10-05.md)
 - [2022-09-07](Planning_Council/2022-09-07.md)
 - [2022-06-01](Planning_Council/2022-06-01.md)
 - [2022-05-04](Planning_Council/2022-05-04.md)
 - [2022-04-06](Planning_Council/2022-04-06.md)
 - [2022-03-02](Planning_Council/2022-03-02.md)
 - [2022-02-02](Planning_Council/2022-02-02.md)
 - [2022-01-05](Planning_Council/2022-01-05.md)
 - [2021-12-01](Planning_Council/2021-12-01.md)
 - [2021-11-03](Planning_Council/2021-11-03.md)
 - [2021-10-06](Planning_Council/2021-10-06.md)
 - [2021-09-06](Planning_Council/2021-09-06.md)
 - For older meetings, see the [meeting archives](Planning_Council/Meeting_Archives.md)
 
# Links

- [Planning Council Mailing list
archive](https://www.eclipse.org//lists/eclipse.org-planning-council/maillist.html)
- [Index of simultaneous releases](Simultaneous_Release.md)
- [Simultaneous_Release_Roles](SimRel/Simultaneous_Release_Roles.md)

