## Notes

### Actions from last meeting

-   **Action (Jonah)**: Create google calendar entries for 2023-09/12
    **DONE** - see
    <https://www.eclipse.org/lists/cross-project-issues-dev/msg19662.html>

Actions from Previous meetings

-   Carried forward **Action (Jonah)**: Update SimRel participation
    rules must-dos and circulate for approval.

### Discussions

#### Funded development

Focus of meeting was on identifying funded development efforts of the
IDE WG. The ongoing planning and prioritization will be conducted on the
mailing list. **Action (Jonah)** to circulate first draft of this
prioritized on mailing list in coming days with goal of having a few
items ready for Jonah/Martin next meeting with Paul/Sharon on May 9th.

Here are the items that we brainstormed:

-   SWT on Linux
    -   GTK 4
        -   Initial GTK4 work now doesn't compile anymore - largely due
            to strict compilation rules around deprecated use, but other
            items too
        -   Webkit for GTK3 is likely to be discontinued much sooner
            than the rest of GTK3 - something similar happened with
            webkit on GTK2
        -   Webkit is needed to generate any HTML content, e.g. javadoc
            pop-ups
        -   Estimate that it is a full time job to maintain GTK 4 port
        -   Adapting Tree and Table to GTK4 is probably 4-5 months work
            for a knowledgeable engineer
    -   Discussed whether there are other options, such as building on
        top of <https://skia.org/> or Qt
-   m2e
    -   m2e has open usability dev funding effort in
        <https://gitlab.eclipse.org/eclipse-wg/ide-wg/ide-wg-dev-funded-efforts/ide-wg-dev-funded-program-planning-council-top-issues/-/issues/13>
    -   can we increase funding so more of the backlog can be addressed
        quicker
-   UI Overhaul
    -   Generally raised idea of improving UI, but not concrete
        issues/dev efforts can really be raised at this point
    -   Once various work items on improving UI is underway, if there
        are issues that can be pulled out that should happen then
-   On macOS breaking signing by editing install directory
    -   This was identified as a research project to figure out Eclipse
        can work in the secure environments of not only macOS, but also
        Windows and shared installations
-   Coding Mentor
    -   Within the context of using funds in the IDE WG for the best
        multiplicative effect modelling on what the documentation
        foundation did by hiring a mentor for newcomers was discussed
    -   <https://blog.documentfoundation.org/blog/2016/10/10/community-weeks-development-our-mentor-for-newcomers/>
-   Accessibility
    -   See section below
-   JDT
    -   General stability issues requiring things like restarting the
        IDE
-   Open Type/Resource/etc Implement fuzzy matching - see
    <https://github.com/eclipse-platform/eclipse.platform/issues/436>
-   Windows defender auto-fix
    -   For a long time there has been a warning on the [N&N
        pages](https://eclipseide.org/release/noteworthy/) for Eclipse
        "Windows 10 users: Windows 10 Defender significantly slows down
        Eclipse\[...\]"
    -   Implement something like
        <https://blog.jetbrains.com/wp-content/uploads/2023/01/Windows-defender--1.png> -
        <https://github.com/JetBrains/intellij-community/blob/master/platform/platform-impl/src/com/intellij/diagnostic/WindowsDefenderChecker.java>
        (Apache 2.0 licensed) and section "A new IDE suggestion to
        reconfigure Windows Defender settings for better performance" of
        <https://blog.jetbrains.com/phpstorm/2023/02/phpstorm-2023-1-eap-2/>
-   hidpi issues
-   multi-monitor issues
-   p2 touchpoint issues on restart e.g
    <https://github.com/eclipse-equinox/p2/issues/166>
-   target platform errors e.g.
    <https://bugs.eclipse.org/bugs/show_bug.cgi?id=578775>

#### Accessibility

In response to request from Wayne -
<https://www.eclipse.org/lists/eclipse.org-planning-council/msg03641.html> -
we discussed next steps and came up with this 3 step plan:

1.  Create a funded development effort to identify/fix/improve places
    that accessibility is lacking. (Steps below are not blocked on
    completing the dev effort itself)
2.  Bring wiki documents up to date (maybe in new location) **Action
    (Jonah)** to review documents.
3.  Create a blog post to announce efforts and importance and circulate
    to various Eclipse IDE development channels. **Action (Jonah)** to
    create blog post.

#### Testing and Platform Support

Project plan -
<https://www.eclipse.org/projects/project-plan.php?planurl=http://www.eclipse.org/eclipse/development/plans/eclipse_project_plan_4_28.xml> -
lists Linux target environments as being Red Hat Enterprise Linux, SUSE
Linux Enterprise Server and Ubuntu Long Term Support. CI testing does
not use all those platforms. See Smoke Tests on
<https://ci.eclipse.org/releng/job/SmokeTests/>

**Action (Jonah)** to reach out to IBM to find out if there is or used
to be manual testing procedures.

#### Chat service

Short discussion on Chat Service used and interest in it.