## Logistics

<table>
<tbody>
<tr class="odd">
<td><p>Meeting Title:</p></td>
<td><p><strong>Planning Council Conference Call</strong></p></td>
</tr>
<tr class="even">
<td><p>Date &amp; Time:</p></td>
<td><p>Wednesday, Mar 01, 2017, at <a href="http://www.timeanddate.com/worldclock/fixedtime.html?year=2017&amp;month=03&amp;day=01&amp;hour=12&amp;min=0&amp;sec=0&amp;p1=179">1200 Noon Eastern</a></p></td>
</tr>
<tr class="odd">
<td><p>Dial in:</p></td>
<td><p>(See <a href="Asterisk" title="wikilink">Asterisk</a> service for complete details on SIP, potential new numbers, phone mute commands, etc.)</p>
<p>Phone Numbers: (Check <a href="Asterisk/Numbers" title="wikilink">Asterisk/Numbers</a> for more or current phone numbers.)</p>
<dl>
<dt></dt>
<dd><strong>For all phone lines: Participant conference extension: 710 then enter pin 35498</strong>
</dd>
</dl>
<ul>
<li>Ottawa (local call in Ottawa) 1-613-454-1403</li>
<li>North America (toll free) 1-866-569-4992</li>
<li>Germany (local call anywhere in Germany) +49-692-2224-6059</li>
<li>France (local call anywhere in France) +33-17-070-8535</li>
<li>UK (toll free) 0800-033-7806</li>
<li>Switzerland (local call anywhere in Switzerland) +41-44-580-2115</li>
</ul>
<ul>
<li>SIP clients:</li>
</ul>
<dl>
<dt></dt>
<dd>call 710@asterisk.eclipse.org, then enter pin 35498.
</dd>
</dl></td>
</tr>
</tbody>
</table>

## Members and Attendees

### Eclipse Foundation

  - Wayne Beaton, interim chair Y
  - Frederic Gurr Y

### Strategic Members

  - CA Technologies
  - CEA LIST
  - Codenvy, S.A. (Tyler Jewell)
  - Ericsson AB (~~Marc Khouzam~~ Marc-Andre Laperle) Y
  - IBM (Thomas Watson) Y
  - itemis AG (Alexander Nyssen) R
  - OBEO (Melanie Bats) Y
  - Oracle (Neil Hauge)
  - Red Hat, Inc. (Nick Boldt) Y
  - Robert Bosch GmbH
  - SAP SE (Stephan Merker) Y

### PMC Representatives

  - Business Intelligence and Reporting Tools (BIRT) PMC (Gary Xue)
  - Data Tools Platform PMC (Brian Payton)
  - Eclipse Cloud Development PMC (Martin Lippert) Y
  - Eclipse Project PMC (Dani Megert) R
  - IoT
  - LocationTech Technology
  - Eclipse Modeling Project PMC (Ed Merks)
  - Mylyn (Application Lifecycle Tools) PMC (Sam Davis) Y
  - PolarSys
  - Eclipse Runtime Project (RT) PMC (Ian Bull)
  - Eclipse Science
  - Service Oriented Architecture PMC (Adrian Mos)
  - Technology PMC (Chris Aniszczyk)
  - Tools Project PMC (Doug Schaefer) R
  - Eclipse Web Tools Platform Project (WTP) PMC (Carl Anderson) Y

<small>Note: "Inactive" refers to [Strategic
Members](http://www.eclipse.org/membership/showMembersWithTag.php?TagID=strategic)
or PMCs we have not heard from for a while and have been unable to
convince to participate. Those members can become active again at any
time. Contact Wayne Beaton if questions.</small>

<small>Note: feel free to correct any errors/omissions in above
attendance record.</small>
<small>Y = Yes, attended</small>
<small>N = No, did not</small>
<small>R = regrets sent ahead of time</small>
<small>D = delegated</small>
<small>X = not expected</small>

## Previous meeting minutes

  - Review [previous meeting minutes](../Planning_Council.md) if
    you'd like. That is, review them before the meeting, but if
    questions or issues with previous minutes, this would be a good time
    to bring them up.

## Agenda

  - What's missing from Every Detail Matters for Oxygen?
    [Bug 505921](https://bugs.eclipse.org/bugs/show_bug.cgi?id=505921)
  - Oxygen+1 will be named *Photon*
    [Bug 511933](https://bugs.eclipse.org/bugs/show_bug.cgi?id=511933)
  - Oxygen Java release: do we really need to release in June and July?
      - Confirm dates for Oxygen service releases and Photon
        (Oxygen+1).
        See
        <https://dev.eclipse.org/mhonarc/lists/eclipse.org-planning-council/msg02690.html>
        for the current proposed dates (please disregard the "Oxygen JDK
        Update Friday, 08/04" entry).
  - Java 9 JDeps: checking for the use of internal APIs
  - Java 9 Compatibility statements (will it run?/will it support Java 9
    Features?)
      - Marketing potential: Java 9 features
  - JUnit 5 not included in Oxygen.0?
    [Bug 488566](https://bugs.eclipse.org/bugs/show_bug.cgi?id=488566#c11)

## Notes

We're going to ask project teams to make some statements with regard to
their support of Java 9. We'll assume negative responses for those
projects that do not answer.

  - The project code runs on Java 9; the project code makes no use of
    Java internals.
  - The project code leverages or highlights specific Java 9 features
    (e.g. JDT compiles Java 9 code)

Dani's team has run a tool based on JDeps on the simultaneous release
repository and the results have been generally positive. JDeps is a tool
provided by the Java 9 team to test Java code for the use of internals.
Wayne: as I recall, all of the Eclipse project code was clear, some
problems were found in some third-party libraries.

Dani will provide more information when he returns from vacation.

Tom pointed out that in his experience the JDeps tool doesn't identify
the use of reflection to access internals. Don't assume that positive
output from JDeps means that your code is good-to-go on Java 9. Thorough
testing is still required.

The Eclipse JDT team has decided to pull out support for JUnit 5 because
the official release date for JUnit 5 isn't until November. Wayne asked
whether or not the Eclipse Planning Council agrees philosophically that
our releases can only use released third-party content, and and more
specifically if the Eclipse Planning Council should make a statement
encouraging the Eclipse JDT project to include the content regardless.

The Eclipse IP Policy does not require that third-party content be
released to be included in a release. There is no process limitation on
including a pre-release version of JUnit 5 with the Oxygen.0 release.

The danger is that our users will want to use the latest-and-greatest
version of JUnit 5 when it is available, but we have no idea whether or
not that will break our implementation. If we include JUnit 5 support
with Oxygen.0, we'll get another chance to update with Oxygen.1 in
September before the anticipated November release. What if there is
drift between those dates?

Wayne encouraged the Eclipse Planning Council to think about the end
users. Do end users expect to have JUnit 5 support in the Oxygen.0
release regardless of the release state?

Much of the rest of the conversation focused on whether or not it makes
sense to skip the June date and just move Oxygen.0 to coincide with the
official Java 9 release on July 27/2017.

Wayne again invited the Eclipse Planning Council to think about users.
If we do our usual big marketing push around a June release that does
not include Java 9, we're going to lose some users and likely invite
negative feedback from the community.

Carl expressed that the Eclipse Web Tools PMC prefers to have the usual
June release on the basis that Java 9 release may introduce instability.
Further, there is some risk that the Java 9 release date will slip. By
pushing out the Oxygen.0 release in June as planned, we will have our
stable release and we can then play with the Java 9 support date as
needed.

Other thoughts

  - We need to make it easier on consumers
  - For Java 8 we "lived with a beta patch for a while"
  - The sooner we support Java 9 the better
  - We're inviting negativity and risk losing users if we don't make
    getting Java 9 super easy.
  - Releasing in June because we've always released in June isn't a good
    enough reason.
  - Does releasing in June and then again in July make us look goofy?
  - The extra release will consume resources. Do we really want to
    duplicate that effort?

The status quo was not changed on the call. There is ongoing discussion
on the mailing list. Let's see how it plays out there.

Open question: why can't we ship Java 9 support with Oxygen.0 in June?
If we can ship beta support for Java 9 from the Eclipse Marketplace, why
can't we include it in packages? Is there a legal limitation?

Equinox intends to have a patch applied for the Oxygen.0 release which
will make the launcher work without customization on Java 9 (the
--add-modules option needs to be included). Tom explained that the
primary technical limitation is that the option causes most (older) Java
VMs to fail. Short version: OpenJDK Java 8 JVMs can be configured to
ignore options that they don't recognize; IBM JVMs don't have this
ability; and older versions of Java will just fail.

Fred has proposed some dates for Oxygen update releases and Photon. Fred
has invited feedback on the mailing list, but has not received many
responses. *Please respond by March 8/2017 if you have any concerns.* In
the absense of feedback, we'll assume lazy consensus and make the dates
official.

On the topic of dates, the CQ deadline for Oxygen has passed. If you
have third-party content that requires review, contact the EMO IP Team
ASAP.