|                |                                                                                                                                                                                                                      |
| -------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Meeting Title: | **Planning Council Conference Call**                                                                                                                                                                                 |
| Date & Time:   | Wednesday [Oct 01, 2008](Oct_01,_2008 "wikilink") at [1600 UTC / 0900 SFO / 1200 NYC / 1700 London / 1800 Berlin](http://www.timeanddate.com/worldclock/fixedtime.html?year=2008&month=10&day=1&hour=16&min=0&sec=0) |
| Dial-in:       | For the call-in numbers, please see the [Portal](https://dev.eclipse.org/portal/myfoundation/portal/portal.php) page.                                                                                                |

## Attendees

  - Richard Gronback
  - Ed Merks
  - David Williams
  - Doug Gaff
  - Neil Hauge
  - Georg Schmidt
  - Anthony Hunter
  - Markus Knauer
  - Brian Fitzpatrick
  - Christian Kurzke

Visitors

  - Nick Boldt

### Regrets

  - TBD

## Topics

  - Galileo [Requirements for
    Participation](Galileo_Simultaneous_Release#Requirements_For_Participation "wikilink")
      - It seems most are happy with the new table format, though
        verification of content needs to be completed (expected by
        in-person meeting at EclipseWorld). Also, it seems to be the
        consensus that we should leverage Bugzilla to track individual
        items. Another idea was to utilize the plan.xml format for a
        high-level Galileo plan that would report on these bugzillas.
  - Galileo Themes and coordination/communication with Requirements and
    Architecture Councils (StAC meeting Tuesday, October 28th from
    1300-1700 at the Hyatt during EclipseWorld)
      - Some members of the PC are planning to attend, though not many
        (Rich G., Anthony H., Pat Huff, Markus K., and maybe Doug G.)
  - Roadmap production: how to aggregate individual product plans? what
    else to include?
      - It seems we'll take a shot at the simplest approach of rollup
        (indexing), and also investigate the benefits that use of the
        galileo flag may provide.
  - What is in an SDK? Sources, JavaDoc, Examples?
      - To be continued at EclipseWorld - need to take a close look at
        what each product includes in SDK.
  - Galileo delivery... update site, packages, [custom
    installer](http://build.eclipse.org/eppwizard/go)?
      - It seems a central repository is still desired, and it should be
        possible to leverage p2 in a virtual way to accomplish. The
        consensus at this point is that packages and a custom installer
        wizard should be provided. Additionally, to address the
        additional agenda item below from Markus, it seems we all agree
        that a benefit of train participation is to have high visibility
        on the download pages, leaving non-train packages to be made
        available from another location. But, there needs to be a review
        of the thread on this topic first, leaving it as another
        follow-up topic for the in-person meeting.

As discussed on the last call, a couple of approaches were discussed to
help track compliancy of "Must do" and "Should do" items. Regardless of
the approach used for tracking, it seems we could benefit from some more
detail on each item, including verification method, target milestone,
etc. as seen below. Also included are those we agreed should move to
"Must do" from "Should do" in addition to some rewording of existing
items. In lieu of sorting by priority, I categorized each and reordered
a bit. I consolidated all requirements into just "Must Do" and "Should
Do" as it seems having several levels is not beneficial.

| Category              | Item                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        | Description                                                                                                                                                                                                                                                                                                                                                                                                                 | Target Milestone | Verification Method                                        | Overall Status                        |
| --------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------- | ---------------------------------------------------------- | ------------------------------------- |
| Participation         | Intent                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      | Projects must have stated and demonstrated their intent to join Galileo by the M4+0 date. Projects do so by adding themselves to the table/list above, by signing off each milestone/RC on the [Galileo/Signoffs](Galileo/Signoffs "wikilink") page, and by contributing an .sc file to the [Galileo common build](Galileo/Build#The_Projects.27_Roles "wikilink"). **Note:** the .sc file approach may change for Galileo. | M4               | Manual                                                     | [detail](#intent "wikilink")          |
| Communicate           | At least one person from each project must subscribe to cross-project bug inbox, i.e. edit Bugzilla prefs to watch "cross-project.inbox@eclipse.org". Build team members from each project will provide communication channels: phone, mail, IM, IRC and will be available during *to-be-specified* crucial integration times.                                                                                                                                                                                                                                                                                                                              | M4                                                                                                                                                                                                                                                                                                                                                                                                                          | Manual           | [detail](#communicate "wikilink")                          |                                       |
| Attendance            | Project representatives must attend the planning meetings and conference calls - you have to be involved to be involved. A few misses are ok, but chronic lack of attendance is a no-no.                                                                                                                                                                                                                                                                                                                                                                                                                                                                    | M4                                                                                                                                                                                                                                                                                                                                                                                                                          | Manual           | [detail](#attendance "wikilink")                           |                                       |
| Ramp Down Policy      | Projects must have a written ramp down policy by M6+0, linked in the table above. (One of the issues identified with this guideline is that its not so much the ramp down policy of how many votes are needed for each bug fix that we need to be consistent on, but rather the meaning of each of the milestones and release candidates. See [Platform 3.4 Endgame plan](http://www.eclipse.org/eclipse/development/freeze_plan_3.4.php) as a guideline. See also [Galileo Final Daze](Galileo/Final_Daze "wikilink").)                                                                                                                                    | M6                                                                                                                                                                                                                                                                                                                                                                                                                          | Manual           | [detail](#ramp_down_policy "wikilink")                     |                                       |
| IP                    | Projects must have their IP approved (a normal Eclipse requirement) and will follow the Eclipse Legal deadlines to do so. See also .                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        | RC                                                                                                                                                                                                                                                                                                                                                                                                                          | Manual (Legal)   | [detail](#ip "wikilink")                                   |                                       |
| Development           | APIs                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        | Projects should leverage only published APIs of dependencies. As a Release Review requirement, deviations should be listed as part of a migration plan, with bugs listed where APIs need to be provided by dependent projects. **Perhaps a '99 44/100% Pure APIs' indicator for projects with no improper usage can be used to advertise the 'cleanest' projects?** ;)                                                      | M6               | [PDE API Tools](http://www.eclipse.org/pde/pde-api-tools/) | [detail](#api "wikilink")             |
| Message Bundles       | Projects must use Eclipse message bundles unless there are technical reasons not to. (see [Message Bundle Conversion Tool](Message_Bundle_Conversion_Tool "wikilink") and [1](http://www.eclipse.org/eclipse/platform-core/documents/3.1/message_bundles.html))                                                                                                                                                                                                                                                                                                                                                                                             | M4                                                                                                                                                                                                                                                                                                                                                                                                                          | Manual           | [detail](#message_bundles "wikilink")                      |                                       |
| Bundles               | Version Numbering                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           | Projects must use 4-part [version numbers.](Version_Numbering "wikilink")                                                                                                                                                                                                                                                                                                                                                   | M5               | Manual (script?)                                           | [detail](#version_numbers "wikilink") |
| Leverage OSGi         | All plug-ins (bundles) must use the true bundle form. That is, provide a manifest.mf file, and not rely on the plugin.xml file being 'translated' into a manifest.mf file at initial startup. See [bug 130598](https://bugs.eclipse.org/bugs/show_bug.cgi?id=130598). With that, empty plugin.xml files in the presence of a manifest.mf file should not be included in a bundle.                                                                                                                                                                                                                                                                           | M5                                                                                                                                                                                                                                                                                                                                                                                                                          | Manual (script?) | [detail](#bundles "wikilink")                              |                                       |
| Execution Environment | All plug-ins must correctly list their required JVM versions in the manifest.mf. See the wiki page about selecting the correct JVM [2](http://wiki.eclipse.org/index.php/EMF_2.3_JVM_Requirements#Runtime_.2F_Compilation_Compatibility).                                                                                                                                                                                                                                                                                                                                                                                                                   | M5                                                                                                                                                                                                                                                                                                                                                                                                                          | Manual (script?) | [detail](#execution_environment "wikilink")                |                                       |
| Signing               | Projects must use [signed plugins](Modeling_Project_Releng/Building/Signing_And_Packing "wikilink") using the Eclipse certificate. Exceptions must be authorized by the planning council for technical reasons.                                                                                                                                                                                                                                                                                                                                                                                                                                             | M4                                                                                                                                                                                                                                                                                                                                                                                                                          | Script           | [detail](#signing "wikilink")                              |                                       |
| Use Jars              | Projects must have use jar'ed plug-ins unless there are technical reasons. Nested jars should be avoided if possible since it creates problems for projects that has dependencies to such plug-ins. The OSGi runtime is fine with it but the compiler is not able to handle classpaths that contain nested jars. In case only one nested jar exists, it is often better to expand the contents of that jar into the root folder (i.e. unnest the jar). If a plug-in contains large files that are frequently used (opened and closed), a jar'ed plug-in might degrade performance significantly since the file must be decompressed each time it is opened. | M4                                                                                                                                                                                                                                                                                                                                                                                                                          | Manual (script?) | [detail](#jars "wikilink")                                 |                                       |
| Releng                | Builds                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      | Projects must have build process maturity and their own functional project update site - the Galileo site will reference these sites, not replace them.                                                                                                                                                                                                                                                                     | M4               | Manual                                                     | [detail](#builds "wikilink")          |
| Orbit                 | Any new third-party plug-ins that are common between projects must be consumed via [Orbit](http://www.eclipse.org/orbit/); the final Galileo release will not have duplicate third-party libraries (note that this only applies to identical versions of the libraries; thus if project A requires foo.jar 1.6 and project B uses foo.jar 1.7, that's ok).                                                                                                                                                                                                                                                                                                  | M4                                                                                                                                                                                                                                                                                                                                                                                                                          | Manual           | [detail](#orbit "wikilink")                                |                                       |
| Optimization          | Projects must [optimize](Update_Site_Optimization "wikilink") their update site using [pack200](Pack200 "wikilink") to reduce bandwidth utilization and provide a better update experience for users. Additionally, they should do [site digesting](Update_Site_Optimization#The_Update_Site "wikilink"). With the introduction of p2, project update sites also need to have metadata generated (artifact and content repository info).                                                                                                                                                                                                                    | M4                                                                                                                                                                                                                                                                                                                                                                                                                          | Manual (script?) | [detail](#optimization "wikilink")                         |                                       |
| Deployment            | Work Together                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               | This means that one should be able to load any subset of the Galileo projects into Eclipse and each of the loaded projects should be able to pass all the same tests as if it had been loaded independently.                                                                                                                                                                                                                | RC               | Manual                                                     | [detail](#work_together "wikilink")   |
| Capabilities          | Each project will provide basic capability/activity definitions to allow for their UI contributions to be hidden. These should be provided in a separate plugin/feature to facilitate inclusion/exclusion by consumers in product development.                                                                                                                                                                                                                                                                                                                                                                                                              | M6                                                                                                                                                                                                                                                                                                                                                                                                                          | Manual           | [detail](#capabilities "wikilink")                         |                                       |
| Localization          | The project participates in Babel, meaning it is registered and available for string translation, etc.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      | M6                                                                                                                                                                                                                                                                                                                                                                                                                          | Manual           | [detail](#localization "wikilink")                         |                                       |

**Galileo Release "Must Do" Items**

| Item             | Description                                                                                                                                                                                                                                                                                                                                        | Target Milestone | Verification Method                                                                                                     | Overall Status                             |
| ---------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------- | ----------------------------------------------------------------------------------------------------------------------- | ------------------------------------------ |
| Releng           | Build reproducibility through proper tagging and documented build process should be provided. This includes the execution of unit tests and build [RSS feeds](:Category:RSS "wikilink").                                                                                                                                                           | RC               | Manual                                                                                                                  | [detail](#should_releng "wikilink")        |
| Usability        | Should follow the [User Interface Guidelines](User_Interface_Guidelines "wikilink"). The [UI Checklist](UI_Checklist "wikilink") is a good place to start. Also, should participate in a [User Interface Best Practices Working Group](User_Interface_Best_Practices_Working_Group "wikilink") [UI walkthrough](UIBPWG_UI_Walkthrough "wikilink"). | M4               | Manual                                                                                                                  | [detail](#should_usability "wikilink")     |
| Accessibility    | Should design for accessibility                                                                                                                                                                                                                                                                                                                    | M4               | [ACTF](http://www.eclipse.org/actf/)                                                                                    | [detail](#should_accessibility "wikilink") |
| Performance      | Projects should devote at least one milestone to performance and scalability improvements.                                                                                                                                                                                                                                                         | M7               | [3](http://dev.eclipse.org/viewcvs/index.cgi/org.eclipse.test.performance/doc/Performance%20Tests%20HowTo.html?view=co) | [detail](#should_performance "wikilink")   |
| Branding         | Each major project (the top-level projects except for the Tools and Technology projects where it is the sub-projects) should have an About dialog icon and contribute to the welcome page.                                                                                                                                                         | RC               | Manual                                                                                                                  | [detail](#should_branding "wikilink")      |
| Localization     | Should use [ICU4J when appropriate](ICU4J "wikilink").                                                                                                                                                                                                                                                                                             | M5               | Manual                                                                                                                  | [detail](#should_localization "wikilink")  |
| New & Noteworthy | Should have new & noteworthy for each milestone. Should be something readable and usable not just a static list of all the bugs. Corollary: individual new & noteworthy should be linked in to the collective New & Noteworthy.                                                                                                                    | RC               | Manual                                                                                                                  | [detail](#should_nandn "wikilink")         |

**Galileo Release "Should Do" Items**

For tracking, these are the two approaches discussed that we can decide
on the call:

  - One was to use Bugzilla to assign to each participant a prioritized
    bug for each item (P1 = must, P2 = should, etc.) with target
    milestones, as it's best to have certain items completed by a
    specified milestone (e.g. API lockdown). A "master" bug for each
    could be used to clearly show dependencies and their status.
  - The other was to use the familiar checklist approach, whereby each
    participant would indicate completion of each item.

| Item                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   | <span class="plainlinks">[BIRT](http://www.eclipse.org/birt)</span> | <span class="plainlinks">[Buckminster](http://www.eclipse.org/buckminster)</span> | <span class="plainlinks">[CDT](http://www.eclipse.org/cdt)</span> | <span class="plainlinks">[DLTK](http://www.eclipse.org/dltk)</span> | <span class="plainlinks">[DD](http://www.eclipse.org/dsdp/dd/)</span> | <span class="plainlinks">[DTP](http://www.eclipse.org/datatools/)</span> | <span class="plainlinks">[ECF](http://www.eclipse.org/ecf/)</span> | <span class="plainlinks">[Eclipse](http://www.eclipse.org/eclipse/)</span> | <span class="plainlinks">[EMF](http://www.eclipse.org/emf/)</span> | <span class="plainlinks">[EMFT](http://www.eclipse.org/modeling/emft)</span> | <span class="plainlinks">[EPP](http://www.eclipse.org/epp/usagedata)</span> | <span class="plainlinks">[GEF](http://www.eclipse.org/gef/)</span> | <span class="plainlinks">[GMF](http://www.eclipse.org/gmf/)</span> | <span class="plainlinks">[MDT](http://www.eclipse.org/modeling/mdt/)</span> | <span class="plainlinks">[M2M](http://www.eclipse.org/m2m/)</span> | <span class="plainlinks">[M2T](http://www.eclipse.org/modeling/m2t/)</span> | <span class="plainlinks">[TMF](http://www.eclipse.org/modeling/tmf/)</span> | <span class="plainlinks">[Mylyn](http://www.eclipse.org/mylyn/)</span> | <span class="plainlinks">[RAP](http://www.eclipse.org/rap/)</span> | <span class="plainlinks">[STP](http://www.eclipse.org/stp/)</span> | <span class="plainlinks">[Subversive](http://www.eclipse.org/subversive/)</span> | <span class="plainlinks">[TPTP](http://www.eclipse.org/tptp/)</span> | <span class="plainlinks">[WTP](http://www.eclipse.org/webtools/)</span> |
| ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------- | --------------------------------------------------------------------------------- | ----------------------------------------------------------------- | ------------------------------------------------------------------- | --------------------------------------------------------------------- | ------------------------------------------------------------------------ | ------------------------------------------------------------------ | -------------------------------------------------------------------------- | ------------------------------------------------------------------ | ---------------------------------------------------------------------------- | --------------------------------------------------------------------------- | ------------------------------------------------------------------ | ------------------------------------------------------------------ | --------------------------------------------------------------------------- | ------------------------------------------------------------------ | --------------------------------------------------------------------------- | --------------------------------------------------------------------------- | ---------------------------------------------------------------------- | ------------------------------------------------------------------ | ------------------------------------------------------------------ | -------------------------------------------------------------------------------- | -------------------------------------------------------------------- | ----------------------------------------------------------------------- |
| <span id="intent">Intent</span> | style="background:palegreen" | | style="background:palegreen" | | style="background:palegreen" | | style="background:palegreen" | | style="background:palegreen" | | style="background:palegreen" | | style="background:palegreen" | | style="background:palegreen" | | style="background:palegreen" | | style="background:palegreen" | | style="background:palegreen" | | style="background:palegreen" | | style="background:palegreen" | | style="background:palegreen" | | style="background:palegreen" | | style="background:palegreen" | | style="background:palegreen" | | style="background:palegreen" | | style="background:palegreen" | | style="background:palegreen" | | style="background:palegreen" | | style="background:palegreen" | | style="background:palegreen" |                                 |                                                                     |                                                                                   |                                                                   |                                                                     |                                                                       |                                                                          |                                                                    |                                                                            |                                                                    |                                                                              |                                                                             |                                                                    |                                                                    |                                                                             |                                                                    |                                                                             |                                                                             |                                                                        |                                                                    |                                                                    |                                                                                  |                                                                      |                                                                         |
| <span id="communicate">Communicate</span> | style="background:lightsalmon" | | style="background:palegreen" | | style="background:lightsalmon" | | style="background:palegreen" | | style="background:palegreen" | | style="background:lightsalmon" | | style="background:palegreen" | | style="background:lightsalmon" | | style="background:palegreen" | | style="background:lightsalmon" | | style="background:palegreen" | | style="background:lightsalmon" | | style="background:palegreen" | | style="background:lightsalmon" | | style="background:palegreen" | | style="background:lightsalmon" | | style="background:palegreen" | | style="background:lightsalmon" | | style="background:palegreen" | | style="background:lightsalmon" | | style="background:palegreen" | | style="background:lightsalmon" | | style="background:palegreen" | |                                                                     |                                                                                   |                                                                   |                                                                     |                                                                       |                                                                          |                                                                    |                                                                            |                                                                    |                                                                              |                                                                             |                                                                    |                                                                    |                                                                             |                                                                    |                                                                             |                                                                             |                                                                        |                                                                    |                                                                    |                                                                                  |                                                                      |                                                                         |

### Reminders

  - In person meeting to coincide with
    [EclipseWorld](http://www.eclipseworld.net)
  - December 10-11, 2008 - plenary session with Board

## Additional Topics

  - IP process improvement discussion with Janet Campbell - tentative
  - Building non-Ganymede EPP packages and put them on the [packages
    download page](http://eclipse.org/downloads/packages) - see
    discussion on [bug \#238960](https://bugs.eclipse.org/238960) -
    Markus Knauer

## Action Items

  - Move Must-Do and Should-Do list to the Galileo page (Rich) **Done**
  - Look into Bugzilla for tracking train requirements (Rich)
  - Look into plan.xml rollup (both with and without the use of a
    galileo flag) (Rich)
  - Investigate the use of p2 to create a "virtual" simultaneous release
    update site, sans the jar copying (Rich)

**Carry over items**

  - Query Babel project for string freeze deadline and participation
    requirement info (Rich)
  - Query ACTF for information on accessibility to include as release
    requirement (Rich)
  - Look into having a "name that train" contest to coincide with
    EclipseCon each year (artwork as well?) (Bjorn)