# Eclipse IDE Simultaneous Release (SimRel)

The [Eclipse Foundation](https://wiki.eclipse.org/Foundation) and its community of
projects and contributors produce releases on a coordinated schedule
that are often referred to as *simultaneous release*, *coordinated
release* or *release train* of Eclipse. This page provides an index of
existing simultaneous releases from the current and previous years.


<table>
<thead>
<tr class="header">
<th><p>Release name</p></th>
<th><p>Platform version</p></th>
<th><p>Release</p></th>
<th><p>Links</p></th>
</tr>
</thead>
<tbody>

<tr class="odd">
<td><p>2024-12 (Future release)</p></td>
<td><p>4.34</p></td>
<td><p>June 12, 2024</p></td>
<td><p><a
href="SimRel/2024-12.md">Wiki</a><br />
<!-- Uncomment on release day
<a
href="https://www.eclipse.org/downloads/packages/release/2024-12/r">Package
Download Page</a><br />
<a href="https://download.eclipse.org/releases/2024-12/">p2
Repository</a>
-->
</p></td>
</tr>

<tr class="even">
<td><p>2024-09 (Future release)</p></td>
<td><p>4.33</p></td>
<td><p>September 11, 2024</p></td>
<td><p><a
href="SimRel/2024-09.md">Wiki</a><br />
<!-- Uncomment on release day
<a
href="https://www.eclipse.org/downloads/packages/release/2024-09/r">Package
Download Page</a><br />
<a href="https://download.eclipse.org/releases/2024-09/">p2
Repository</a>
-->
</p></td>
</tr>

<tr class="odd">
<td><p>2024-06 (Future release)</p></td>
<td><p>4.32</p></td>
<td><p>June 12, 2024</p></td>
<td><p><a
href="SimRel/2024-06.md">Wiki</a><br />
<!-- Uncomment on release day
<a
href="https://www.eclipse.org/downloads/packages/release/2024-06/r">Package
Download Page</a><br />
<a href="https://download.eclipse.org/releases/2024-06/">p2
Repository</a>
-->
</p></td>
</tr>

<tr class="even">
<td><p>2024-03 (Current release)</p></td>
<td><p>4.31</p></td>
<td><p>December 4, 2024</p></td>
<td><p><a
href="SimRel/2024-03.md">Wiki</a><br />
<a
href="https://www.eclipse.org/downloads/packages/release/2024-03/r">Package
Download Page</a><br />
<a href="https://download.eclipse.org/releases/2024-03/">p2
Repository</a>
</p></td>
</tr>

<tr class="odd">
<td><p>2023-12 (Last release)</p></td>
<td><p>4.30</p></td>
<td><p>December 06, 2023</p></td>
<td><p><a
href="SimRel/2023-12.md">Wiki</a><br />
<a
href="https://www.eclipse.org/downloads/packages/release/2023-12/r">Package
Download Page</a><br />
<a href="https://download.eclipse.org/releases/2023-12/">p2
Repository</a>
</p></td>
</tr>

<tr class="even">
<td><p>2023-09</p></td>
<td><p>4.29</p></td>
<td><p>September 13, 2023</p></td>
<td><p><a
href="SimRel/2023-09.md">Wiki</a><br />
<a
href="https://www.eclipse.org/downloads/packages/release/2023-09/r">Package
Download Page</a><br />
<a href="https://download.eclipse.org/releases/2023-09/">p2
Repository</a></p></td>
</tr>

<tr class="odd">
<td><p>2023-06</p></td>
<td><p>4.28</p></td>
<td><p>June 14, 2023</p></td>
<td><p><a
href="SimRel/2023-06.md">Wiki</a><br />
<a
href="https://www.eclipse.org/downloads/packages/release/2023-06/r">Package
Download Page</a><br />
<a href="https://download.eclipse.org/releases/2023-06/">p2
Repository</a></p></td>
</tr>

<tr class="even">
<td><p>2023-03</p></td>
<td><p>4.27</p></td>
<td><p>March 15, 2023</p></td>
<td><p><a
href="SimRel/2023-03.md">Wiki</a><br />
<a
href="https://www.eclipse.org/downloads/packages/release/2023-03/r">Package
Download Page</a><br />
<a href="https://download.eclipse.org/releases/2023-03/">p2
Repository</a></p></td>
</tr>

</tbody>
</table>


## Older Releases

The Eclipse Simultaneous Release has been producing regular releases since 2006.
This section contains the historical release details for all these older releases.

<details>
<summary>Older releases details</summary>

Since the 2018-09 release, the cadence changed from one annual main
release plus 3 update/service releases to a 13-week cycle with rolling
releases.

<table>
<thead>
<tr class="header">
<th><p>Release name</p></th>
<th><p>Platform version</p></th>
<th><p>Release</p></th>
<th><p>Links</p></th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td><p>2022-12</p></td>
<td><p>4.26</p></td>
<td><p>December 07, 2022</p></td>
<td><p><a
href="SimRel/2022-12.md">Wiki</a><br />
<a
href="https://www.eclipse.org/downloads/packages/release/2022-12/r">Package
Download Page</a><br />
<a href="https://download.eclipse.org/releases/2022-12/">p2
Repository</a></p></td>
</tr>
<tr class="even">
<td><p>2022-09</p></td>
<td><p>4.25</p></td>
<td><p>September 14, 2022</p></td>
<td><p><a
href="SimRel/2022-09.md">Wiki</a><br />
<a
href="https://www.eclipse.org/downloads/packages/release/2022-09/r">Package
Download Page</a><br />
<a href="https://download.eclipse.org/releases/2022-09/">p2
Repository</a></p></td>
</tr>
<tr class="odd">
<td><p>2022-06</p></td>
<td><p>4.24</p></td>
<td><p>June 15, 2022</p></td>
<td><p><a
href="SimRel/2022-06.md">Wiki</a><br />
<a
href="https://www.eclipse.org/downloads/packages/release/2022-06/r">Package
Download Page</a><br />
<a href="https://download.eclipse.org/releases/2022-06/">p2
Repository</a></p></td>
</tr>
<tr class="even">
<td><p>2022-03</p></td>
<td><p>4.23</p></td>
<td><p>March 16, 2022</p></td>
<td><p><a
href="SimRel/2022-03.md">Wiki</a><br />
<a
href="https://www.eclipse.org/downloads/packages/release/2022-03/r">Package
Download Page</a><br />
<a href="https://download.eclipse.org/releases/2022-03/">p2
Repository</a></p></td>
</tr>
<tr class="odd">
<td><p>2021-12</p></td>
<td><p>4.22</p></td>
<td><p>December 08, 2021</p></td>
<td><p><a
href="SimRel/2021-12.md">Wiki</a><br />
<a
href="https://www.eclipse.org/downloads/packages/release/2021-12/r">Package
Download Page</a><br />
<a href="https://download.eclipse.org/releases/2021-12/">p2
Repository</a></p></td>
</tr>
<tr class="even">
<td><p>2021-09</p></td>
<td><p>4.21</p></td>
<td><p>September 15, 2021</p></td>
<td><p><a
href="SimRel/2021-09.md">Wiki</a><br />
<a
href="https://www.eclipse.org/downloads/packages/release/2021-09/r">Package
Download Page</a><br />
<a href="https://download.eclipse.org/releases/2021-09/">p2
Repository</a></p></td>
</tr>
<tr class="odd">
<td><p>2021-06</p></td>
<td><p>4.20</p></td>
<td><p>June 16, 2021</p></td>
<td><p><a
href="SimRel/2021-06.md">Wiki</a><br />
<a
href="https://www.eclipse.org/downloads/packages/release/2021-06/r">Package
Download Page</a><br />
<a href="https://download.eclipse.org/releases/2021-06/">p2
Repository</a></p></td>
</tr>
<tr class="even">
<td><p>2021-03</p></td>
<td><p>4.19</p></td>
<td><p>March 17, 2021</p></td>
<td><p><a
href="SimRel/2021-03.md">Wiki</a><br />
<a
href="https://www.eclipse.org/downloads/packages/release/2021-03/r">Package
Download Page</a><br />
<a href="https://download.eclipse.org/releases/2021-03/">p2
Repository</a></p></td>
</tr>
<tr class="odd">
<td><p>2020-12</p></td>
<td><p>4.18</p></td>
<td><p>December 16, 2020</p></td>
<td><p><a
href="SimRel/2020-12.md">Wiki</a><br />
<a
href="https://www.eclipse.org/downloads/packages/release/2020-12/r">Package
Download Page</a><br />
<a href="https://download.eclipse.org/releases/2020-12/">p2
Repository</a></p></td>
</tr>
<tr class="even">
<td><p>2020-09</p></td>
<td><p>4.17</p></td>
<td><p>September 16, 2020</p></td>
<td><p><a
href="SimRel/2020-09.md">Wiki</a><br />
<a
href="https://www.eclipse.org/downloads/packages/release/2020-09/r">Package
Download Page</a><br />
<a href="https://download.eclipse.org/releases/2020-09/">p2
Repository</a></p></td>
</tr>
<tr class="odd">
<td><p>2020-06</p></td>
<td><p>4.16</p></td>
<td><p>June 17, 2020</p></td>
<td><p><a
href="SimRel/2020-06.md">Wiki</a><br />
<a
href="https://www.eclipse.org/downloads/packages/release/2020-06/r">Package
Download Page</a><br />
<a href="https://download.eclipse.org/releases/2020-06/">p2
Repository</a></p></td>
</tr>
<tr class="even">
<td><p>2020-03</p></td>
<td><p>4.15</p></td>
<td><p>March 18, 2020</p></td>
<td><p><a
href="SimRel/2020-03.md">Wiki</a><br />
<a
href="https://www.eclipse.org/downloads/packages/release/2020-03/r">Package
Download Page</a><br />
<a href="https://download.eclipse.org/releases/2020-03/">p2
Repository</a></p></td>
</tr>
<tr class="odd">
<td><p>2019-12</p></td>
<td><p>4.14</p></td>
<td><p>December 18, 2019</p></td>
<td><p><a
href="SimRel/2019-12.md">Wiki</a><br />
<a
href="https://www.eclipse.org/downloads/packages/release/2019-12/r">Package
Download Page</a><br />
<a href="https://download.eclipse.org/releases/2019-12/">p2
Repository</a></p></td>
</tr>
<tr class="even">
<td><p>2019-09</p></td>
<td><p>4.13</p></td>
<td><p>September 18, 2019</p></td>
<td><p><a
href="SimRel/2019-09.md">Wiki</a><br />
<a
href="https://www.eclipse.org/downloads/packages/release/2019-09/r">Package
Download Page</a><br />
<a href="https://download.eclipse.org/releases/2019-09/">p2
Repository</a></p></td>
</tr>
<tr class="odd">
<td><p>2019-06</p></td>
<td><p>4.12</p></td>
<td><p>June 19, 2019</p></td>
<td><p><a
href="SimRel/2019-06.md">Wiki</a> / <a
href="https://wiki.eclipse.org/SimRel/2019-06/Simultaneous_Release_Plan">Plan</a><br />
<a
href="https://www.eclipse.org/downloads/packages/release/2019-06/r">Package
Download Page</a><br />
<a href="https://download.eclipse.org/releases/2019-06/">p2
Repository</a></p></td>
</tr>
<tr class="even">
<td><p>2019-03</p></td>
<td><p>4.11</p></td>
<td><p>March 20, 2019</p></td>
<td><p><a
href="SimRel/2019-03.md">Wiki</a> / <a
href="https://wiki.eclipse.org/SimRel/2019-03/Simultaneous_Release_Plan">Plan</a><br />
<a
href="https://www.eclipse.org/downloads/packages/release/2019-03/r">Package
Download Page</a><br />
<a href="https://download.eclipse.org/releases/2019-03/">p2
Repository</a></p></td>
</tr>
<tr class="odd">
<td><p>2018-12</p></td>
<td><p>4.10</p></td>
<td><p>December 19, 2018</p></td>
<td><p><a
href="SimRel/2018-12.md">Wiki</a> / <a
href="https://wiki.eclipse.org/SimRel/2018-12/Simultaneous_Release_Plan">Plan</a><br />
<a
href="https://www.eclipse.org/downloads/packages/release/2018-12/r">Package
Download Page</a><br />
<a href="https://download.eclipse.org/releases/2018-12/">p2
Repository</a></p></td>
</tr>
<tr class="even">
<td><p>2018-09</p></td>
<td><p>4.9</p></td>
<td><p>September 19, 2018</p></td>
<td><p><a
href="SimRel/2018-09.md">Wiki</a> / <a
href="https://wiki.eclipse.org/SimRel/2018-09/Simultaneous_Release_Plan">Plan</a><br />
<a
href="https://www.eclipse.org/downloads/packages/release/2018-09/r">Package
Download Page</a><br />
<a href="https://download.eclipse.org/releases/2018-09/">p2
Repository</a><br />
</p></td>
</tr>
</tbody>
</table>

Before the 2018-09 release, each main release typically occurred in
June, with follow-up update releases in September (\*.1), December
(\*.2), and March (\*.3).

<table>
<thead>
<tr class="header">
<th><p>Release name</p></th>
<th><p>Platform version</p></th>
<th><p>Main release</p></th>
<th><p>.1</p></th>
<th><p>.2</p></th>
<th><p>.3</p></th>
<th><p>Links</p></th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td><p>Photon</p></td>
<td><p>4.8</p></td>
<td><p>June 27, 2018</p></td>
<td><p>None</p></td>
<td><p>None</p></td>
<td><p>None</p></td>
<td><p><a href="https://www.eclipse.org/photon/">Web Site</a><br />
<a href="https://wiki.eclipse.org/:Category:Photon">Wiki</a> / <a
href="https://wiki.eclipse.org/Photon/Simultaneous_Release_Plan">Plan</a><br />
<a href="https://www.eclipse.org/downloads/">Main Download
Page</a><br />
<a href="https://download.eclipse.org/releases/photon/">p2
Repository</a><br />
</p></td>
</tr>
<tr class="even">
<td><p>Oxygen</p></td>
<td><p>4.7</p></td>
<td><p>June 28, 2017</p></td>
<td><p>September 27, 2017</p></td>
<td><p>December 20, 2017</p></td>
<td><p>March 21, 2018</p></td>
<td><p><a href="https://www.eclipse.org/oxygen/">Web Site</a><br />
<a href="https://wiki.eclipse.org/:Category:Oxygen">Wiki</a> / <a
href="https://wiki.eclipse.org/Oxygen/Simultaneous_Release_Plan">Plan</a><br />
<a
href="https://www.eclipse.org/downloads/packages/release/oxygen/r">Package
Download Page</a><br />
<a href="https://download.eclipse.org/releases/oxygen/">p2
Repository</a><br />
</p></td>
</tr>
<tr class="odd">
<td><p>Neon</p></td>
<td><p>4.6</p></td>
<td><p>June 22, 2016</p></td>
<td><p>September 28, 2016</p></td>
<td><p>December 21, 2016</p></td>
<td><p>March 23, 2017</p></td>
<td><p><a href="https://www.eclipse.org/neon/">Web Site</a><br />
<a href="https://wiki.eclipse.org/:Category:Neon">Wiki</a> / <a
href="https://wiki.eclipse.org/Neon/Simultaneous_Release_Plan">Plan</a><br />
<a
href="https://www.eclipse.org/downloads/packages/release/neon/r">Package
Download Page</a><br />
<a href="https://download.eclipse.org/releases/neon/">p2
Repository</a><br />
</p></td>
</tr>
</tbody>
</table>

Before Neon, each release train had two service releases in September
(SR1) and February (SR2):

<table>
<thead>
<tr class="header">
<th><p>Release name</p></th>
<th><p>Platform version</p></th>
<th><p>Main release</p></th>
<th><p>SR1</p></th>
<th><p>SR2</p></th>
<th><p>Links</p></th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td><p>Mars</p></td>
<td><p>4.5</p></td>
<td><p>June 24, 2015</p></td>
<td><p>September 22, 2015</p></td>
<td><p>February 24, 2016</p></td>
<td><p><a href="https://www.eclipse.org/mars/">Web Site</a><br />
<a href="https://wiki.eclipse.org/:Category:Mars">Wiki</a><br />
<a
href="https://www.eclipse.org/downloads/packages/release/mars/r">Package
Download Page</a><br />
<a href="https://download.eclipse.org/releases/mars/">p2
Repository</a><br />
</p></td>
</tr>
<tr class="even">
<td><p>Luna</p></td>
<td><p>4.4</p></td>
<td><p>June 25, 2014</p></td>
<td><p>September 23, 2014</p></td>
<td><p>February 25, 2015</p></td>
<td><p><a href="https://eclipse.org/luna">Web Site</a><br />
<a href="https://wiki.eclipse.org/:Category:Luna">Wiki</a><br />
<a
href="https://www.eclipse.org/downloads/packages/release/luna/r">Package
Download Page</a><br />
<a href="https://download.eclipse.org/releases/luna/">p2
Repository</a></p></td>
</tr>
<tr class="odd">
<td><p>Kepler</p></td>
<td><p>4.3</p></td>
<td><p>June 26, 2013</p></td>
<td><p>September 27, 2013</p></td>
<td><p>February 28, 2014</p></td>
<td><p><a href="https://eclipse.org/kepler">Web Site</a><br />
<a href="https://wiki.eclipse.org/:Category:Kepler">Wiki</a><br />
<a
href="https://www.eclipse.org/downloads/packages/release/kepler/r">Package
Download Page</a><br />
<a href="https://download.eclipse.org/releases/kepler/">p2
Repository</a></p></td>
</tr>
<tr class="even">
<td><p>Juno</p></td>
<td><p>4.2 (3.8)</p></td>
<td><p>June 27, 2012</p></td>
<td><p>September 28, 2012</p></td>
<td><p>March 1, 2013</p></td>
<td><p><a href="https://eclipse.org/juno">Web Site</a><br />
<a href="https://wiki.eclipse.org/:Category:Juno">Wiki</a><br />
<a
href="https://www.eclipse.org/downloads/packages/release/juno/r">Package
Download Page</a><br />
<a href="https://download.eclipse.org/releases/juno/">p2
Repository</a></p></td>
</tr>
<tr class="odd">
<td><p>Indigo</p></td>
<td><p>3.7</p></td>
<td><p>June 22, 2011</p></td>
<td><p>September 23, 2011</p></td>
<td><p>February 24, 2012</p></td>
<td><p><a href="https://eclipse.org/indigo">Web Site</a><br />
<a href="https://wiki.eclipse.org/:Category:Indigo">Wiki</a><br />
<a
href="https://www.eclipse.org/downloads/packages/release/indigo/r">Download
Page</a><br />
<a
href="https://download.eclipse.org/releases/indigo/">Repository</a></p></td>
</tr>
<tr class="even">
<td><p>Helios</p></td>
<td><p>3.6</p></td>
<td><p>June 23, 2010</p></td>
<td><p>September 24, 2010</p></td>
<td><p>February 25, 2011</p></td>
<td><p><a href="https://eclipse.org/helios">Web Site</a><br />
<a href="https://wiki.eclipse.org/:Category:Helios">Wiki</a><br />
<a
href="https://www.eclipse.org/downloads/packages/release/helios/r">Download
Page</a><br />
<a
href="https://download.eclipse.org/releases/helios/">Repository</a></p></td>
</tr>
<tr class="odd">
<td><p>Galileo</p></td>
<td><p>3.5</p></td>
<td><p>June 24, 2009</p></td>
<td><p>September 25, 2009</p></td>
<td><p>February 26, 2010</p></td>
<td><p><a href="https://eclipse.org/galileo">Web Site</a><br />
<a href="https://wiki.eclipse.org/Galileo_Simultaneous_Release">Wiki</a><br />
<a
href="https://www.eclipse.org/downloads/packages/release/galileo/r">Download
Page</a></p></td>
</tr>
<tr class="even">
<td><p>Ganymede</p></td>
<td><p>3.4</p></td>
<td><p>June 25, 2008</p></td>
<td><p>September 24, 2008</p></td>
<td><p>February 25, 2009</p></td>
<td><p><a href="https://eclipse.org/ganymede">Web Site</a><br />
<a href="https://wiki.eclipse.org/Ganymede_Simultaneous_Release">Wiki</a><br />
<a
href="https://www.eclipse.org/downloads/packages/release/ganymede/r">Download
Page</a></p></td>
</tr>
<tr class="odd">
<td><p>Europa</p></td>
<td><p>3.3</p></td>
<td><p>June 27, 2007</p></td>
<td><p>September 28, 2007</p></td>
<td><p>February 29, 2008</p></td>
<td><p><a href="https://eclipse.org/europa">Web Site</a><br />
<a href="https://wiki.eclipse.org/Europa_Simultaneous_Release">Wiki</a><br />
<a
href="https://www.eclipse.org/downloads/packages/release/europa/winter">Download
Page</a></p></td>
</tr>
<tr class="even">
<td><p>Callisto</p></td>
<td><p>3.2</p></td>
<td><p>June 26, 2006</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p><a href="https://eclipse.org/callisto">Web Site</a> <a
href="https://wiki.eclipse.org/Callisto_Simultaneous_Release">Wiki</a></p></td>
</tr>
</tbody>
</table>

</details>

## More Information

-   [Overview of the Simultaneous Release
    Process](SimRel/Overview.md) for projects
